# Tcl package index file, version 1.0

proc Blt_MakePkgIndex { dir } {
    set suffix [info sharedlibextension]
    set version 2.4
    regsub {\.} $version {} version_no_dots
    foreach lib {  } {
	catch { load ${lib}${suffix} BLT }
    }
    if {[package vcompare [info tclversion] 8.2] < 0} {
      set library BLT.${version}.so.8.0
    } else {
      set library BLT.${version}.so.8.2
    }
    global tcl_platform
    if { $tcl_platform(platform) == "unix" } {
	set library [file join [file dirname $dir] lib${library}]
    } 
    package ifneeded BLT ${version} [list load $library BLT]
}

Blt_MakePkgIndex $dir
rename Blt_MakePkgIndex ""
